using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
			CategoryBuilder.Create("Money", "By Palto_PPG", ModAPI.LoadSprite("category.png"));
			
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "1 Dolars",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "1 Dolar",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f1.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f1.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "2 Dolar",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "2 dolars",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f2.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f2.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "5 Dolars",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "5 Dolars",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f3.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f3.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "10 Dolars",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "10 Dolars",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f4.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f4.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "20 Dolars",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "20 Dolars",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f5.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f5.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "50 Dolars",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "50 Dolars USA",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f6.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f6.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "100 Dolars",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "100 Dolars USA",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f7.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f7.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "5 Euro",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "5 euro",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f8.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f8.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "10 Euro",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "10 euro",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f9.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f9.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "20 Euro",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "20 euro",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f10.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f10.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "50 Euro",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "50 euro",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f11.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f11.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "100 Euro",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "100 euro",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f12.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f12.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "200 Euro",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "5 euro",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f13.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f13.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "500 Euro",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "500 euro",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f14.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f14.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "1 hryvnia",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Ukrainian note",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f15.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f15.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "2 Hryvnia",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "dai 2 hryvni",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f16.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f16.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "5 Hryvnia",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "5 Hryvnia",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f17.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f17.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "10 Hryvnia",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "10 Hryvnia",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f18.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f18.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "20 Hryvnia",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "20 Hryvnia",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f19.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f19.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "50 Hryvnia",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "50 Hryvnia",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f20.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f20.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "100 Hryvnia",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "100 Hryvnia",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f21.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f21.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "200 Hryvnia",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "200 Hryvnia",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f22.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f22.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "500 Hryvnia",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "500 Hryvnia",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f23.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f23.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "1000 Hryvnia",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "1000 Hryvnia",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f24.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f24.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "5 rubles ru",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "5 russian rubles",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f25.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f25.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "10 rubles ru",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "10 russian rubles",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f26.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f26.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "50 rubles ru",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "50 russian rubles",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f27.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f27.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "100 rubles ru",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "100 russian rubles",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f28.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f28.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "200 rubles ru",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "200 russian rubles",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f29.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f29.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "500 rubles ru",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "500 russian rubles",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f30.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f30.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "1000 rubles ru",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "1000 russian rubles",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f31.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f31.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "2000 rubles ru",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "2000 russian rubles",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f32.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f32.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "5000 rubles ru",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "5000 russian rubles",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f33.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f33.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "1 rubl bel",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "1 belarus rubl",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f34.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f34.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "5 rubesl bel",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "5 belarus rubles",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f35.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f35.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "10 rubles bel",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "10 belarus rubles",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f36.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f36.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "20 rubesl bel",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "20 belarus rubles",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f37.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f37.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "50 rubesl bel",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "50 belarus rubles",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f38.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f38.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "100 rubesl bel",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "100 belarus rubles",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f39.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f39.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "200 rubesl bel",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "200 belarus rubles",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f40.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f40.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "500 rubesl bel",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "500 belarus rubles",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f41.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f41.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "10 zloty",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Polish Note",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f42.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f42.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "20 zloty",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Polish Note",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f43.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f43.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "50 zloty",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Polish Note",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f44.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f44.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "100 zloty",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Polish Note",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f45.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f45.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "200 zloty",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Polish Note",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f46.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f46.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "500 zloty",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Polish Note",
                    CategoryOverride = ModAPI.FindCategory("Money"),
                    ThumbnailOverride = ModAPI.LoadSprite("f47.png", 100f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f47.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
        }
    }
}